curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-music",
"input": {
"model": "musicgen",
"prompt": "Upbeat electronic music with a catchy melody"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-music",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Create music from a simple text description using Meta’s MusicGen.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-music",
"input": {
"model": "musicgen",
"prompt": "Upbeat electronic music with a catchy melody"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-music",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 3 credits |
| Tool | create-music |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | create-music |
input.model | string | Yes | musicgen |
input.prompt | string | Yes | Description of the music to generate |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-music",
"input": {
"model": "musicgen",
"prompt": "Upbeat electronic music with a catchy melody"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-music",
"createdAt": "2024-01-15T10:30:00.000Z"
}